/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: XXX.h,v 1.3 2002/05/08 21:24:47 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/*----------------------------------------------------------------------- */
/* Definition of XXX table                                                */
/* Provided as an example FITS binary table definition file               */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */

/* table type */
char* extname="XXX";

/* Define the keywords to be used */
int nkey = 1;       /* number of keywords */
char* keywords[] = { /* Table keywords */
"REVISION",
};
int keytype[] = {   /* data types of the keywords */
TINT,
};
char* keycom[] = {   /* Description of the keywords */
  "Revision number of table format",
};

/* Define the columns in the table */
/* This example has a double TIME and and array of ten floats, DATA */
int  ncol = 2;      /* number of columns */
char* coltype[] = {  /* Column labels */
    "TIME",
    "DATA"
}; 
long colcount[] = { /* Number of elements (as 1D) in the column */
    1,
    10
};
int coldatatype[] = {/* Column data types */
  TDOUBLE,
  TFLOAT
};
char* colunits[] = {  /* Units for columns */
  "DAYS","  "," ",
  "COUNTS"
};
char* coldim[] = {    /* Dimensionality if 2D or higher */
  "  ",
  "  "
};
/* */
